Name | Type | Default |
backText
|
String
|
Back
|
Sets or gets the backText property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [backText]="'Back'"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
columnHeaderHeight
|
Number
|
20
|
Sets or gets the columnHeaderHeight property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [columnHeaderHeight]="50"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
clearString
|
String
|
'Clear'
|
Sets or gets the clearString property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [clearString]="'Clear'"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
culture
|
String
|
default
|
Sets or gets the culture property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [culture]="'de-DE'"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
dayNameFormat
|
enum:CalendarDayNameFormat
|
'firstTwoLetters'
|
enum CalendarDayNameFormat { default, shortest, firstTwoLetters, firstLetter, full } Sets or gets the dayNameFormat property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [dayNameFormat]="'firstTwoLetters'"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [disabled]="true"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
enableWeekend
|
Boolean
|
false
|
Sets or gets the enableWeekend property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [enableWeekend]="true"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
enableViews
|
Boolean
|
true
|
Sets or gets the enableViews property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [enableViews]="false"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
enableOtherMonthDays
|
Boolean
|
true
|
Sets or gets the enableOtherMonthDays property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [enableOtherMonthDays]="false"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
enableFastNavigation
|
Boolean
|
true
|
Sets or gets the enableFastNavigation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [enableFastNavigation]="false"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
enableHover
|
Boolean
|
true
|
Sets or gets the enableHover property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [enableHover]="false"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
enableAutoNavigation
|
Boolean
|
true
|
Sets or gets the enableAutoNavigation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [enableAutoNavigation]="false"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
enableTooltips
|
Boolean
|
false
|
Sets or gets the enableTooltips property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [enableTooltips]="true"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
forwardText
|
String
|
Forward
|
Sets or gets the forwardText property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [forwardText]="'Forward'"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
firstDayOfWeek
|
Number
|
0
|
Sets or gets the firstDayOfWeek property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [firstDayOfWeek]="3"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
height
|
Size
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
min
|
Any
|
1900, 1, 1
|
Sets or gets the min property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [min]="min" [max]="max"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
max
|
Any
|
2100, 1, 1
|
Sets or gets the max property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [min]="min" [max]="max"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
navigationDelay
|
Number
|
400
|
Sets or gets the navigationDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [navigationDelay]="2000"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
rowHeaderWidth
|
Size
|
25
|
Sets or gets the rowHeaderWidth property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [rowHeaderWidth]="30"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
readOnly
|
Boolean
|
false
|
Sets or gets the readOnly property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [readOnly]="true"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
restrictedDates
|
Array<Date>
|
[]
|
Sets or gets the restrictedDates property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [restrictedDates]="restrictedDates"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [rtl]="true"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
stepMonths
|
Number
|
1
|
Sets or gets the stepMonths property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [stepMonths]="3"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
showWeekNumbers
|
Boolean
|
true
|
Sets or gets the showWeekNumbers property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [showWeekNumbers]="true"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
showDayNames
|
Boolean
|
true
|
Sets or gets the showDayNames property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [showDayNames]="false"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
showOtherMonthDays
|
Boolean
|
true
|
Sets or gets the showOtherMonthDays property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [showOtherMonthDays]="true"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
showFooter
|
Boolean
|
false
|
Sets or gets the showFooter property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [showFooter]="true"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
selectionMode
|
enum:CalendarSelectionMode
|
'default'
|
enum CalendarSelectionMode { none, default, range } Sets or gets the selectionMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [selectionMode]="'range'"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
specialDates
|
Array<Any>
|
new Array()
|
Sets or gets the specialDates property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [specialDates]="specialDates"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [theme]="'energyblue'"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
titleHeight
|
Number
|
25
|
Sets or gets the titleHeight property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [titleHeight]="50"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
titleFormat
|
enum:CalendarTitleFormat
|
["MMMM yyyy", "yyyy", "yyyy"]
|
enum CalendarTitleFormat { d, dd, ddd, dddd, h, hh, H, HH, m, mm, M, MM, MMM, MMMM, s, ss, t, tt, y, yy, yyy, yyyy } Sets or gets the titleFormat property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [titleFormat]='["MM yyyy", "yyyy", "yyyy"]'> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
todayString
|
String
|
'Today'
|
Sets or gets the todayString property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [todayString]="'Today'"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
value
|
Date
|
Today's Date
|
Sets or gets the value property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200" [value]="value"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
width
|
Size
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent { value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
|
backButtonClick
|
Event
|
|
This event is triggered when the calendar back navigation button is clicked.
Code examples
Bind to the backButtonClick event of jqxCalendar.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar (onBackButtonClick)="BackButtonClick($event)" [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent { BackButtonClick(event: any): void { // Do Something } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
change
|
Event
|
|
This event is triggered when the Calendar's selection is changed.
Code examples
Bind to the change event of jqxCalendar.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar (onChange)="Change($event)" [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent { Change(event: any): void { // Do Something } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
nextButtonClick
|
Event
|
|
This event is triggered when the calendar next navigation button is clicked.
Code examples
Bind to the nextButtonClick event of jqxCalendar.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar (onNextButtonClick)="NextButtonClick($event)" [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent { NextButtonClick(event: any): void { // Do Something } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
viewChange
|
Event
|
|
This event is triggered when the Calendar's view is changed.
Code examples
Bind to the viewChange event of jqxCalendar.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar (onViewChange)="ViewChange($event)" [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent { ViewChange(event: any): void { // Do Something } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
|
Name | Return Type | Arguments |
clear
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { this.myCalendar.clear(); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { this.myCalendar.destroy(); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { this.myCalendar.focus(); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
addSpecialDate
|
Void
|
date: Any, tooltip: Any, text: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { this.myCalendar.addSpecialDate(new Date(2017, 9, 20),tooltip); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
getMinDate
|
Any
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { let value = this.myCalendar.getMinDate(); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
getMaxDate
|
Any
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { let value = this.myCalendar.getMaxDate(); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
getDate
|
Any
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { let value = this.myCalendar.getDate(); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
getRange
|
Any
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { let value = this.myCalendar.getRange(); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
navigateForward
|
Void
|
months: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { this.myCalendar.navigateForward(); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
navigateBackward
|
Void
|
months: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { this.myCalendar.navigateBackward(); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { this.myCalendar.render(); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { this.myCalendar.refresh(); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
setMinDate
|
Void
|
date: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { this.myCalendar.setMinDate(new Date(2017, 9, 20)); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
setMaxDate
|
Void
|
date: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { this.myCalendar.setMaxDate(new Date(2017, 9, 20)); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
setDate
|
Void
|
date: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { this.myCalendar.setDate(new Date(2017, 9, 20)); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
setRange
|
Void
|
date: Any, date2: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { this.myCalendar.setRange(new Date(2017, 9, 20),new Date(2017, 9, 22)); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
today
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { this.myCalendar.today(); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|
val
|
Any
|
value: Any, value2: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCalendar #myCalendar [width]="200" [height]="200"> </jqxCalendar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myCalendar') myCalendar: jqxCalendarComponent; ngAfterViewInit(): void { let value = this.myCalendar.val(); } value: Date = new Date(2017, 9, 20); min: Date = new Date(2015, 9, 20); max: Date = new Date(2020, 9, 20);
|

Name | Type | Default |
backText
|
String
|
Back
|
Sets or gets the tooltip text displayed when the mouse cursor is over the back navigation button.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :backText="'Back'" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
columnHeaderHeight
|
Number
|
20
|
Sets or gets the Calendar colomn header's height. In the column header are displayed the calendar day names.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :columnHeaderHeight="50" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
clearString
|
String
|
'Clear'
|
Sets or gets the 'Clear' string displayed when the 'showFooter' property is true.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :clearString="'Clear'" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
culture
|
String
|
default
|
Sets or gets the jqxCalendar's culture. The culture settings are contained within a file with the language code appended to the name, e.g. jquery.glob.de-DE.js for German. To set the culture, you need to include the jquery.glob.de-DE.js and set the culture property to the culture's name, e.g. 'de-DE'.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :culture="'de-DE'" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
dayNameFormat
|
String
|
'firstTwoLetters'
|
Sets or gets the name format of days of the week.
Possible Values:
'default'
'shortest'
'firstTwoLetters'
'firstLetter'
'full'
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :dayNameFormat="'firstTwoLetters'" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
disabled
|
Boolean
|
false
|
Disables (true) or enables (false) the calendar. Can be set when initialising (first creating) the calendar.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :disabled="true" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
enableWeekend
|
Boolean
|
false
|
Sets or gets a value indicating whether weekend persists its view state.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :enableWeekend="true" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
enableViews
|
Boolean
|
true
|
Determines whether switching between month, year and decade views is enabled.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :enableViews="false" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
enableOtherMonthDays
|
Boolean
|
true
|
Sets or gets a value indicating whether the other month days are enabled.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :enableOtherMonthDays="false" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
enableFastNavigation
|
Boolean
|
true
|
Sets or gets a value indicating whether the fast navigation is enabled.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :enableFastNavigation="false" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
enableHover
|
Boolean
|
true
|
Sets or gets a value indicating whether the hover state is enabled. The hover state is activated when the mouse cursor is over a calendar cell. The hover state is automatically disabled when the calendar is displayed in touch devices.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :enableHover="false" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
enableAutoNavigation
|
Boolean
|
true
|
Sets or gets a value indicating whether the auto navigation is enabled. When this property is true, click on other month date will automatically navigate to the previous or next month.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :enableAutoNavigation="false" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
enableTooltips
|
Boolean
|
false
|
Sets or gets a value indicating whether the tool tips are enabled.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :enableTooltips="true" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
forwardText
|
String
|
Forward
|
Sets or gets the tooltip text displayed when the mouse cursor is over the forward navigation button. EnableTooltips property should be set to true.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :forwardText="'Forward'" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
firstDayOfWeek
|
Number
|
0
|
Sets or gets which day to display in the first day column. By default the calendar displays 'Sunday' as first day.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :firstDayOfWeek="3" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
height
|
Number | String
|
null
|
Sets or gets the height of the Calendar.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
min
|
Date
|
1900, 1, 1
|
Represents the minimum navigation date.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :min="min" :max="max" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, data: function () { return { min: new Date(2018, 0, 1), max: new Date(2019, 0, 1)
|
max
|
Date
|
2100, 1, 1
|
Represents the maximum navigation date.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :min="min" :max="max" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, data: function () { return { min: new Date(2018, 0, 1), max: new Date(2019, 0, 1)
|
navigationDelay
|
Number
|
400
|
Determines the animation delay between switching views.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :navigationDelay="2000" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
rowHeaderWidth
|
Number
|
25
|
Sets or gets the row header width.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :rowHeaderWidth="30" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
readOnly
|
Boolean
|
false
|
Sets or gets the calendar in read only state.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :readOnly="true" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
restrictedDates
|
Array
|
[]
|
Sets or gets the calendar's restricted dates. These are dates which cannot be clicked.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :restrictedDates="restrictedDates" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, data: function () { return { restrictedDates: [new Date()] // Today's Date is Restricted
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :rtl="true" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
stepMonths
|
Number
|
1
|
Represents the calendar`s navigation step when the left or right navigation button is clicked.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :stepMonths="3" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
showWeekNumbers
|
Boolean
|
true
|
Sets or gets a value whether the week`s numbers are displayed.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :showWeekNumbers="true" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
showDayNames
|
Boolean
|
true
|
Sets or gets a value whether the day names are displayed. By default, the day names are displayed.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :showDayNames="false" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
showOtherMonthDays
|
Boolean
|
true
|
Sets or gets a value whether the other month days are displayed.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :showOtherMonthDays="true" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
showFooter
|
Boolean
|
false
|
Sets or gets a value indicating whether the calendar's footer is displayed.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :showFooter="true" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
selectionMode
|
String
|
'default'
|
Sets or gets the selection mode.
Possible Values:
'none'
'default'
'range'
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :selectionMode="'range'" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
specialDates
|
Array
|
new Array()
|
Sets or gets a special date to the Calendar.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :specialDates="specialDates" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, data: function () { return { specialDates: [] /* Set the SpecialDates Property. this.$refs.myCalendar.addSpecialDate(new Date()); Get the SpecialDates Property. const specialDates = this.$refs.myCalendar.specialDates;
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :theme="'material'" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
titleHeight
|
Number
|
25
|
Sets or gets the title height where the navigation arrows are displayed.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :titleHeight="50" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
titleFormat
|
Array
|
["MMMM yyyy", "yyyy", "yyyy"]
|
Sets or gets the title format for the title section.
Possible Values:
'd' - the day of the month
'dd' - the day of the month
'ddd' - the abbreviated name of the day of the week
'dddd' - the full name of the day of the week
'h' - the hour, using a 12-hour clock from 1 to 12
'hh' - the hour, using a 12-hour clock from 01 to 12
'H' - the hour, using a 24-hour clock from 0 to 23
'HH' - the hour, using a 24-hour clock from 00 to 23
'm'-the minute, from 0 through 59
'mm' - the minutes,from 00 though59
'M' - the month, from 1 through 12;
'MM' - the month, from 01 through 12
'MMM' - the abbreviated name of the month
'MMMM' - the full name of the month
's' - the second, from 0 through 59
'ss' - the second, from 00 through 59
't' - the first character of the AM/PM designator
'tt' - the AM/PM designator
'y' - the year, from 0 to 99
'yy' - the year, from 00 to 99
'yyy' - the year, with a minimum of three digits
'yyyy' - the year as a four-digit number
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :titleFormat=" ["MM yyyy", "yyyy", "yyyy"] " /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
todayString
|
String
|
'Today'
|
Sets or gets the 'Today' string displayed when the 'showFooter' property is true.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :todayString="'Today'" :showFooter="true" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
value
|
Date
|
Today's Date
|
Sets or gets the Calendar's value.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :value="value" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, data: function () { return { value: new Date(2019, 0, 10)
|
width
|
Number | String
|
null
|
Sets or gets the width of the Calendar.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue';
|
|
backButtonClick
|
Event
|
|
This event is triggered when the calendar back navigation button is clicked.
Code examples
Bind to the backButtonClick event of jqxCalendar.
<template> <JqxCalendar ref="myCalendar" @backButtonClick="onBackButtonClick($event)" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, methods: { onBackButtonClick: function (event) { alert( 'do something...');
|
change
|
Event
|
|
This event is triggered when the Calendar's selection is changed.
Code examples
Bind to the change event of jqxCalendar.
<template> <JqxCalendar ref="myCalendar" @change="onChange($event)" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, methods: { onChange: function (event) { alert( 'do something...');
|
nextButtonClick
|
Event
|
|
This event is triggered when the calendar next navigation button is clicked.
Code examples
Bind to the nextButtonClick event of jqxCalendar.
<template> <JqxCalendar ref="myCalendar" @nextButtonClick="onNextButtonClick($event)" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, methods: { onNextButtonClick: function (event) { alert( 'do something...');
|
viewChange
|
Event
|
|
This event is triggered when the Calendar's view is changed.
Code examples
Bind to the viewChange event of jqxCalendar.
<template> <JqxCalendar ref="myCalendar" @viewChange="onViewChange($event)" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, methods: { onViewChange: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
clear
|
None
|
None
|
Clears the selection.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { this.$refs.myCalendar.clear();
|
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { this.$refs.myCalendar.destroy();
|
focus
|
None
|
None
|
Focuses the Calendar.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { this.$refs.myCalendar.focus();
|
addSpecialDate
|
date, specialDateClass, text
|
None
|
Method: addSpecialDate
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { this.$refs.myCalendar.addSpecialDate(new Date(), '','Special Date');
|
getMinDate
|
None
|
Date
|
When the getMinDate method is called, the user gets the lowest navigation date set to the Calendar.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { const value = this.$refs.myCalendar.getMinDate();
|
getMaxDate
|
None
|
Date
|
When the getMaxDate method is called, the user gets the hightest navigation date set to the Calendar. The retuned value is a JavaScript Date object.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { const value = this.$refs.myCalendar.getMaxDate();
|
getDate
|
None
|
Date
|
When the getDate method is called, the user gets the current month displayed in the Calendar.The returned value is a JavaScript Date object.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { const value = this.$refs.myCalendar.getDate();
|
getRange
|
None
|
Object
|
Gets the selection range when the selectionMode is set to 'range'. The returned value is an object with "from" and "to" fields. Each of these is a JavaScript Date object.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" :selectionMode="'range'" /> </template> <script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { this.$refs.myCalendar.setRange(new Date(2017, 9, 20),new Date(2017, 9, 22)); const value = this.$refs.myCalendar.getRange(); alert(JSON.stringify(value));
|
navigateForward
|
months
|
None
|
When the navigateForward method is called, the calendar navigates forward with a specific month step (by default 1).
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { this.$refs.myCalendar.navigateForward();
|
navigateBackward
|
months
|
None
|
When the navigateBackward method is called, the calendar navigates backward with a specific month step (by default 1).
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { this.$refs.myCalendar.navigateBackward();
|
render
|
None
|
None
|
Renders the Calendar.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { this.$refs.myCalendar.render();
|
refresh
|
None
|
None
|
Performs a layout and updates the UI.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { this.$refs.myCalendar.refresh();
|
setMinDate
|
date
|
None
|
When the setMinDate method is called, the user sets the lowest date to which it is possible to navigate.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { this.$refs.myCalendar.setMinDate(new Date(2017, 9, 20));
|
setMaxDate
|
date
|
None
|
When the setMaxDate method is called, the user sets the hightest date to which it is possible to navigate.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { this.$refs.myCalendar.setMaxDate(new Date(2019, 10, 20));
|
setDate
|
date
|
None
|
When the setDate method is called, the user sets the current month displayed in the Calendar. The parameter is a JavaScript Date object.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { this.$refs.myCalendar.setDate(new Date(2017, 9, 20));
|
setRange
|
date, date2
|
None
|
Sets the selection range when the selectionMode is set to 'range'. The parameters are JavaScript Date objects.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { this.$refs.myCalendar.selectionMode = 'range'; this.$refs.myCalendar.setRange(new Date(2017, 9, 20),new Date(2017, 9, 22));
|
today
|
None
|
None
|
Sets the Date to Today.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { this.$refs.myCalendar.today();
|
val
|
value, value2
|
Date/string
|
Gets or sets the jqxCalendar's value.
<template> <JqxCalendar ref="myCalendar" :width="200" :height="200" /> </template>
<script> import JqxCalendar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcalendar.vue'; export default { components: { JqxCalendar }, mounted: function () { const value = this.$refs.myCalendar.val();
|

Name | Type | Default |
backText
|
string
|
Back
|
Sets or gets the tooltip text displayed when the mouse cursor is over the back navigation button.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} backText={ 'Back'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
columnHeaderHeight
|
number
|
20
|
Sets or gets the Calendar colomn header's height. In the column header are displayed the calendar day names.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} columnHeaderHeight={50} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
clearString
|
string
|
'Clear'
|
Sets or gets the 'Clear' string displayed when the 'showFooter' property is true.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} clearString={ 'Clear'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
culture
|
string
|
default
|
Sets or gets the jqxCalendar's culture. The culture settings are contained within a file with the language code appended to the name, e.g. jquery.glob.de-DE.js for German. To set the culture, you need to include the jquery.glob.de-DE.js and set the culture property to the culture's name, e.g. 'de-DE'.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} culture={ 'de-DE'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dayNameFormat
|
CalendarDayNameFormat
|
'firstTwoLetters'
|
CalendarDayNameFormat: "default" | "shortest" | "firstTwoLetters" | "firstLetter" | "full"
Sets or gets the name format of days of the week.
Possible Values:
'default'
'shortest'
'firstTwoLetters'
'firstLetter'
'full'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} dayNameFormat={ 'firstTwoLetters'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Disables (true) or enables (false) the calendar. Can be set when initialising (first creating) the calendar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableWeekend
|
boolean
|
false
|
Sets or gets a value indicating whether weekend persists its view state.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} enableWeekend={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableViews
|
boolean
|
true
|
Determines whether switching between month, year and decade views is enabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} enableViews={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableOtherMonthDays
|
boolean
|
true
|
Sets or gets a value indicating whether the other month days are enabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} enableOtherMonthDays={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableFastNavigation
|
boolean
|
true
|
Sets or gets a value indicating whether the fast navigation is enabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} enableFastNavigation={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableHover
|
boolean
|
true
|
Sets or gets a value indicating whether the hover state is enabled. The hover state is activated when the mouse cursor is over a calendar cell. The hover state is automatically disabled when the calendar is displayed in touch devices.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} enableHover={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableAutoNavigation
|
boolean
|
true
|
Sets or gets a value indicating whether the auto navigation is enabled. When this property is true, click on other month date will automatically navigate to the previous or next month.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} enableAutoNavigation={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableTooltips
|
boolean
|
false
|
Sets or gets a value indicating whether the tool tips are enabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} enableTooltips={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
forwardText
|
string
|
Forward
|
Sets or gets the tooltip text displayed when the mouse cursor is over the forward navigation button. EnableTooltips property should be set to true.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} forwardText={ 'Forward'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
firstDayOfWeek
|
number
|
0
|
Sets or gets which day to display in the first day column. By default the calendar displays 'Sunday' as first day.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} firstDayOfWeek={3} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
null
|
Sets or gets the height of the Calendar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
min
|
any
|
1900, 1, 1
|
Represents the minimum navigation date.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); constructor(props: {}) { super(props); this.state = { min: new Date(2018, 0, 1), max: new Date(2019, 0, 1) } } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} min={this.state.min} max={this.state.max} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
max
|
any
|
2100, 1, 1
|
Represents the maximum navigation date.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); constructor(props: {}) { super(props); this.state = { min: new Date(2018, 0, 1), max: new Date(2019, 0, 1) } } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} min={this.state.min} max={this.state.max} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
navigationDelay
|
number
|
400
|
Determines the animation delay between switching views.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} navigationDelay={2000} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rowHeaderWidth
|
number | string
|
25
|
Sets or gets the row header width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} rowHeaderWidth={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
readOnly
|
boolean
|
false
|
Sets or gets the calendar in read only state.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} readOnly={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
restrictedDates
|
Array<Date>
|
[]
|
Sets or gets the calendar's restricted dates. These are dates which cannot be clicked.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); constructor(props: {}) { super(props); this.state = { restrictedDates: [new Date()] // Today's Date is Restricted } } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} restrictedDates={this.state.restrictedDates} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} rtl={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
stepMonths
|
number
|
1
|
Represents the calendar`s navigation step when the left or right navigation button is clicked.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} stepMonths={3} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showWeekNumbers
|
boolean
|
true
|
Sets or gets a value whether the week`s numbers are displayed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} showWeekNumbers={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showDayNames
|
boolean
|
true
|
Sets or gets a value whether the day names are displayed. By default, the day names are displayed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} showDayNames={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showOtherMonthDays
|
boolean
|
true
|
Sets or gets a value whether the other month days are displayed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} showOtherMonthDays={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showFooter
|
boolean
|
false
|
Sets or gets a value indicating whether the calendar's footer is displayed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} showFooter={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectionMode
|
CalendarSelectionMode
|
'default'
|
CalendarSelectionMode: "none" | "default" | "range"
Sets or gets the selection mode.
Possible Values:
'none'
'default'
'range'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} selectionMode={ 'range'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
specialDates
|
Array<any>
|
new Array()
|
Sets or gets a special date to the Calendar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); constructor(props: {}) { super(props); this.state = { specialDates: [] /* Set the SpecialDates Property. this.$refs.myCalendar.addSpecialDate(new Date()); Get the SpecialDates Property. const specialDates = this.$refs.myCalendar.specialDates; */ } } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} specialDates={this.state.specialDates} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} theme={ 'material'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
titleHeight
|
number
|
25
|
Sets or gets the title height where the navigation arrows are displayed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} titleHeight={50} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
titleFormat
|
CalendarTitleFormat
|
["MMMM yyyy", "yyyy", "yyyy"]
|
CalendarTitleFormat: "d" | "dd" | "ddd" | "dddd" | "h" | "hh" | "H" | "HH" | "m" | "mm" | "M" | "MM" | "MMM" | "MMMM" | "s" | "ss" | "t" | "tt" | "y" | "yy" | "yyy" | "yyyy"
Sets or gets the title format for the title section.
Possible Values:
'd' - the day of the month
'dd' - the day of the month
'ddd' - the abbreviated name of the day of the week
'dddd' - the full name of the day of the week
'h' - the hour, using a 12-hour clock from 1 to 12
'hh' - the hour, using a 12-hour clock from 01 to 12
'H' - the hour, using a 24-hour clock from 0 to 23
'HH' - the hour, using a 24-hour clock from 00 to 23
'm'-the minute, from 0 through 59
'mm' - the minutes,from 00 though59
'M' - the month, from 1 through 12;
'MM' - the month, from 01 through 12
'MMM' - the abbreviated name of the month
'MMMM' - the full name of the month
's' - the second, from 0 through 59
'ss' - the second, from 00 through 59
't' - the first character of the AM/PM designator
'tt' - the AM/PM designator
'y' - the year, from 0 to 99
'yy' - the year, from 00 to 99
'yyy' - the year, with a minimum of three digits
'yyyy' - the year as a four-digit number
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} titleFormat={[ "MM yyyy", "yyyy", "yyyy"]} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
todayString
|
string
|
'Today'
|
Sets or gets the 'Today' string displayed when the 'showFooter' property is true.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} todayString={ 'Today'} showFooter={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
value
|
Date
|
Today's Date
|
Sets or gets the Calendar's value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); constructor(props: {}) { super(props); this.state = { value: new Date(2019, 0, 10) } } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} value={this.state.value} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the width of the Calendar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
backButtonClick
|
Event
|
|
This event is triggered when the calendar back navigation button is clicked.
Code examples
Bind to the backButtonClick event of jqxCalendar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} onBackButtonClick={this.onBackButtonClick} width={200} height={200} /> ); } private onBackButtonClick(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
change
|
Event
|
|
This event is triggered when the Calendar's selection is changed.
Code examples
Bind to the change event of jqxCalendar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} onChange={this.onChange} width={200} height={200} /> ); } private onChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
nextButtonClick
|
Event
|
|
This event is triggered when the calendar next navigation button is clicked.
Code examples
Bind to the nextButtonClick event of jqxCalendar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} onNextButtonClick={this.onNextButtonClick} width={200} height={200} /> ); } private onNextButtonClick(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
viewChange
|
Event
|
|
This event is triggered when the Calendar's view is changed.
Code examples
Bind to the viewChange event of jqxCalendar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public render() { return ( <JqxCalendar ref={this.myCalendar} onViewChange={this.onViewChange} width={200} height={200} /> ); } private onViewChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
clear
|
None
|
|
Clears the selection.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.clear(); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.destroy(); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
focus
|
None
|
|
Focuses the Calendar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.focus(); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
addSpecialDate
|
date, specialDateClass, text
|
|
Method: addSpecialDate
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.addSpecialDate(new Date(), '','Special Date'); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getMinDate
|
None
|
|
When the getMinDate method is called, the user gets the lowest navigation date set to the Calendar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.getMinDate(); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getMaxDate
|
None
|
|
When the getMaxDate method is called, the user gets the hightest navigation date set to the Calendar. The retuned value is a JavaScript Date object.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.getMaxDate(); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getDate
|
None
|
|
When the getDate method is called, the user gets the current month displayed in the Calendar.The returned value is a JavaScript Date object.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.getDate(); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getRange
|
None
|
|
Gets the selection range when the selectionMode is set to 'range'. The returned value is an object with "from" and "to" fields. Each of these is a JavaScript Date object.
|
navigateForward
|
months
|
|
When the navigateForward method is called, the calendar navigates forward with a specific month step (by default 1).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.navigateForward(); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
navigateBackward
|
months
|
|
When the navigateBackward method is called, the calendar navigates backward with a specific month step (by default 1).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.navigateBackward(); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
Renders the Calendar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.render(); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
Performs a layout and updates the UI.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.refresh(); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setMinDate
|
date
|
|
When the setMinDate method is called, the user sets the lowest date to which it is possible to navigate.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.setMinDate(new Date(2017, 9, 20)); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setMaxDate
|
date
|
|
When the setMaxDate method is called, the user sets the hightest date to which it is possible to navigate.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.setMaxDate(new Date(2019, 10, 20)); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setDate
|
date
|
|
When the setDate method is called, the user sets the current month displayed in the Calendar. The parameter is a JavaScript Date object.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.setDate(new Date(2017, 9, 20)); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setRange
|
date, date2
|
|
Sets the selection range when the selectionMode is set to 'range'. The parameters are JavaScript Date objects.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.setRange(new Date(2017, 9, 20),new Date(2017, 9, 22)); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
today
|
None
|
|
Sets the Date to Today.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.today(); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
val
|
value, value2
|
|
Gets or sets the jqxCalendar's value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCalendar, { ICalendarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcalendar'; class App extends React.PureComponent<{}, ICalendarProps> { private myCalendar = React.createRef<JqxCalendar>(); public componentDidMount(): void { this.myCalendar.current!.val(); } public render() { return ( <JqxCalendar ref={this.myCalendar} width={200} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|